/**
 * Copyright &copy; 2013-2017 <a href="http://www.rhcncpa.com/">瑞华会计师事务所</a> All rights reserved.
 */
package com.jeeplus.modules.sys.dao;

import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.Area;
import org.apache.ibatis.annotations.Param;

/**
 * 区域DAO接口
 * @author jeeplus
 * @version 2014-05-16
 */
@MyBatisDao
public interface AreaDao extends TreeDao<Area> {

	public Area getByAreaName(String areaname);
	public String getAreaId(@Param("proName")String proName, @Param("cityName")String cityName);
	public String getAreaIdByCityName(@Param("cityName")String cityName);
	public Area findByName(String name);
	public Area findByPId(String parentId);

}
